TCPNICE(8)

NAME
tcpnice - slow down TCP connections on a LAN

SYNOPSIS
tcpnice [-I] [-i interface] [-n increment] expression

DESCRIPTION
tcpnice slows down specified TCP connections on a LAN via "active" traffic shaping.

OPTIONS

-I  Forge ICMP source quench replies in addition to tiny TCP window advertisements.

-i interface
    Specify the interface to listen on.

-n increment
    Specify an amount by which to "nice" the connection. The imposed latency can be adjusted over a range of 1 (normal speed) to 20 (the slowest).

expression
    Specify a tcpdump(8) filter expression to select the connections to slow down.

SEE ALSO
dsniff(8), tcpkill(8)

AUTHOR
Dug Song <dugsong@monkey.org>